Summary:	Performance testing tool for TCP/UDP
Name:		netperf
Version:	2.6.0
Release:	%mkrel 4
License:	BSD
Group:		Networking/Other
URL:		http://www.netperf.org/netperf/NetperfPage.html 
Source:		ftp://ftp.netperf.org/netperf/%name-%version.tar.bz2

%description
Netperf is a benchmark that can be used to measure the performance 
of many different types of networking. It provides tests for both 
unidirecitonal throughput, and end-to-end latency.

The environments currently measureable by netperf include:
* TCP and UDP via BSD Sockets for both IPv4 and IPv6
* DLPI
* Unix Domain Sockets
* SCTP for both IPv4 and IPv6 

%prep
%setup -q 

%build
%configure2_5x \
	--enable-unixdomain \
	--enable-sdp \
	--enable-exs \
	--enable-sctp
%make 

%install
%makeinstall_std

%preun
%_remove_install_info %{name}.info

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files
%doc README AUTHORS COPYING Release_Notes
%{_bindir}/netperf
%{_bindir}/netserver
%{_infodir}/netperf.*
%{_mandir}/man1/netperf.1*
%{_mandir}/man1/netserver.1*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.6.0-4.mga5
+ Revision: 739045
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.0-3.mga5
+ Revision: 682855
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.6.0-2.mga4
+ Revision: 530394
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 dams <dams> 2.6.0-1.mga4
+ Revision: 457541
- new version 2.6.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 bcornec <bcornec> 2.5.0-1.mga2
+ Revision: 127129
- Update to netperf 2.5.0 upstream

* Wed Jan 19 2011 erwan <erwan> 2.4.5-1.mga1
+ Revision: 24731
- imported package netperf


* Sun Jul 12 2009 Bruno Cornec <bcornec@mandriva.org> 2.4.5-1mdv2010.0
+ Revision: 394969
- Update to upstream 2.4.5 and fix compiler errors on fprintf format (reported upstrem)
- Update netperf to 2.4.5 and fix compiler issues (reported upstream)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - fix info file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.4-1mdv2008.1
+ Revision: 100087
- new version
- spec file clean


* Mon Feb 12 2007 Erwan Velu <erwan@mandriva.org> 2.4.2-2mdv2007.0
+ Revision: 119982
- Import netperf

* Thu Apr 27 2006 Erwan Velu <erwan@seanodes.com> 2.4.2-2mdk
- Fixing group

* Thu Apr 27 2006 Erwan Velu <erwan@seanodes.com> 2.4.2-1mdk
- 2.4.2

* Thu Mar 23 2006 Erwan Velu <erwan@seanodes.com> 2.4.1-1mdk
- 2.4.1

* Thu Jun 23 2005 Erwan Velu <erwan@seanodes.com> 2.4.0-1mdk
- Initial Release

